Get All Labels of a Specific Pull Request
GET/api/v5/repos/:owner/:repo/pulls/:number/labels
Request
Path Parameters
owner stringrequired
Repository space address (organization or individual's address path)
repo stringrequired
Repository path (path)
number integerrequired
The ordinal number of the PR in this repository, i.e., which PR it is.
Example: 0
Query Parameters
access_token string
User authorization code
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- 1
- 2
Schema
- Array [
- ]
idinteger
colorstring
namestring
repository_idinteger
urlstring
created_atstring
updated_atstring
text_colorstring
[
{
"id": 0,
"color": "string",
"name": "string",
"repository_id": 0,
"url": "string",
"created_at": "string",
"updated_at": "string",
"text_color": "string"
}
]
Successful Example
{
"id": 18517,
"color": "#ED4014",
"name": "bug",
"repository_id": 198606,
"url": "",
"created_at": "2024-02-23",
"updated_at": "2024-02-23",
"text_color": "#FFFFFF"
}
Successful Example
{
"id": 383740,
"color": "#428BCA",
"name": "performance",
"repository_id": 198606,
"url": "",
"created_at": "2024-04-20",
"updated_at": "2024-04-20",
"text_color": "#FFFFFF"
}